.common_conditions: &common_conditions
  state: opened
  reviewer_id: none
  ruby: |
    !WwwGitLabCom.distribution_projects.include?(resource[:project_id]) &&
      !WwwGitLabCom.projects_with_external_review_process.include?(resource[:project_id])
.common_actions: &common_actions
  comment: |
    #{ reviewer = last_reviewer || select_random_merge_request_coach(group: current_group_name_with_spaces); nil }
    Hi #{ reviewer } :wave:

    We noticed this MR is marked as ~"workflow::ready for review" but no reviewer is assigned.
    ~"workflow::in dev" has automatically been applied to this MR based on the likelihood the review is finished.
    If additional reviews are still required, please assign a reviewer and reapply ~"workflow::ready for review".

    @#{ author } you may also request a review by commenting `@gitlab-bot ready`. You can also assign reviewers directly using `@gitlab-bot ready @user1 @user2` if you know the relevant reviewer(s), such as those who were involved in a related issue.

    *This message was [generated automatically](https://about.gitlab.com/handbook/engineering/quality/triage-operations).
    You're welcome to [improve it](https://gitlab.com/gitlab-org/quality/triage-ops/-/tree/master/policies/community/hygiene/ping-incorrect-review-label.yml).*

    /label ~"workflow::in dev"
resource_rules:
  merge_requests:
    rules:
      - name: Ping last reviewer when incorrect workflow::ready for review label
        conditions:
          <<: *common_conditions
          labels:
            - Community contribution
            - "workflow::ready for review"
        actions:
          <<: *common_actions
      - name: Ping last reviewer when incorrect workflow::in review label
        conditions:
          <<: *common_conditions
          labels:
            - Community contribution
            - "workflow::in review"
        actions:
          <<: *common_actions
